Skip to navigation

Get a VPC by ID

Authentication

X-API-Client-IDstring
API Client ID
X-API-Client-Secretstring
API Client Secret

Path parameters

idstringRequired
ID of the VPC to get

Response

The VPC
idstringformat: "uuid"
Unique identifier for the VPC
namestring
Name of the VPC
descriptionstring
Description of the VPC
cidrstring
CIDR of the VPC
statusenum
VPC status
Allowed values:
regionstring
Region where the VPC is located
tierslist of objects
Network tiers in this VPC
publicIpslist of strings
Public IP addresses associated with this VPC
createdAtdatetimeOptional
VPC creation date

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error